letsencrypt Fehler python Ubuntu 20.04

  • Hallo Zusammen,

    ich habe einen aktuellen pd-admin (v4.68) mit aktueller SE (0.367) in der 64 Bit Variante auf einem Ubuntu 20.04 instelliert.

    Leider bekomme ich bei der Aktivierung von letsEncrypt python Fehler.

    ********

    E: Package 'python-virtualenv' has no installation candidate

    certbot-auto failed>

    ********

    Auf der Console mit /opt/pdadmin/bin/letsencrypt server.domain.name bekomme ich diese Ausgabe:

    ********

    Hinweis: »python-is-python2« wird an Stelle von »python« gewählt.

    Hinweis: »python-dev-is-python2« wird an Stelle von »python-dev« gewählt.

    Paket python-virtualenv ist nicht verfügbar, wird aber von einem anderen Paket

    referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst

    wurde oder nur aus einer anderen Quelle verfügbar ist.

    E: Für Paket »python-virtualenv« existiert kein Installationskandidat.

    ********

    Ich hoffe jemand kann mir dabei weiter helfen - vielen Dank :saint:

    vile Grüße PUMI

  • Hallo Zusammen,

    ich bastle nun schon eine gefühle Ewigkeit an diesem Problem rum und bekomme es einfach nicht hin.

    Das Script ist bereits für Python3 vorbereitet, scheint aber auf Ubuntu 20.04 nicht zu funktionieren.

    Ich wäre für jeden Tipp sehr dankbar.